// -*- C++ -*-
//
// Event_Map_Entry_T.inl,v 1.7 2005/11/14 22:03:49 ossama Exp

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

template <class PROXY> ACE_INLINE ACE_TYPENAME
TAO_Notify_Event_Map_Entry_T<PROXY>::COLLECTION*
TAO_Notify_Event_Map_Entry_T<PROXY>::collection (void) {
  return collection_;
}

template <class PROXY> ACE_INLINE int
TAO_Notify_Event_Map_Entry_T<PROXY>::count (void)
{
  return this->count_;
}

template <class PROXY> ACE_INLINE CORBA::ULong
TAO_Notify_Event_Map_Entry_T<PROXY>::_incr_refcnt (void)
{
  return ++this->usage_count_;
}

template <class PROXY> ACE_INLINE CORBA::ULong
TAO_Notify_Event_Map_Entry_T<PROXY>::_decr_refcnt (void)
{
  return --this->usage_count_;
}

TAO_END_VERSIONED_NAMESPACE_DECL
